## turtlefmt 0.1.1

=== debian/changelog ===
turtlefmt (0.1.1-4) unstable; urgency=medium

  * add patch cherry-picked upstream
    to use stable releases of crate oxttl;
    closes: bug#1084043, thanks to Santiago Vila

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Oct 2024 19:07:21 +0200

turtlefmt (0.1.1-3) unstable; urgency=medium

  * skip network test

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Sep 2024 10:52:20 +0200

turtlefmt (0.1.1-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Sep 2024 02:24:27 +0200

turtlefmt (0.1.1-0~draft1) experimental; urgency=low

  * initial release;
    closes: bug#1081318

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Sep 2024 20:26:27 +0200
