=== debian/control ===
Source: turtlefmt
Section: rust
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 help2man,
 librust-anyhow-1+default-dev,
 librust-cc-1+default-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-jobserver-dev,
 librust-oxrdf-0.2+default-dev <!nocheck>,
 librust-oxttl-0.1+default-dev <!nocheck>,
 librust-reqwest-0.11+blocking-dev <!nocheck>,
 librust-reqwest-0.11+default-dev <!nocheck>,
 librust-tree-sitter-0.20+default-dev,
 librust-tree-sitter-cli-0.20+default-dev,
 nodejs,
Standards-Version: 4.7.0
Homepage: https://github.com/helsing-ai/turtlefmt
Vcs-Git: https://salsa.debian.org/debian/turtlefmt.git
Vcs-Browser: https://salsa.debian.org/debian/turtlefmt
Rules-Requires-Root: no

Package: turtlefmt
Section: text
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using:
 ${cargo:Static-Built-Using},
Description: auto formatter for RDF Turtle
 turtlefmt is an auto formatter for RDF Turtle.
 .
 For now, it...
  * validates that the file is valid
  * maintains consistent indentation and line jumps
  * normalises string and IRI escapes
    to reduce their number as much as possible
  * enforces the use of `"` instead of `'` in literals
  * uses literals short notation for booleans, integers, decimals and doubles
    when it keeps the lexical representation unchanged
  * uses `a` for `rdf:type` where possible
 .
 Resource Description Framework (RDF) is a standard model
 for data interchange on the Web.
