=== debian/rules ===
#!/usr/bin/make -f

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
MANPAGES = turtlefmt.1
endif

TEST_NET = \
 test_w3c_files

%:
	dh $@ --buildsystem rust

override_dh_auto_test:
	dh_auto_test --buildsystem rust -- \
	 --no-fail-fast -- $(addprefix --skip ,$(TEST_NET))

execute_after_dh_auto_install: $(MANPAGES)

# build manpages
turtlefmt.1: %.1: debian/turtlefmt/usr/bin/%
	mkdir --parents $(dir $@)
	help2man --section 1 --no-info \
	 --name "command-line auto formatter for RDF Turtle" \
	 --output $@ $< \
	 || { $1 --help; false; }
