## turtlefmt 0.1.2

=== debian/changelog ===
turtlefmt (0.1.2-9) unstable; urgency=medium

  * rewrite patch 2002_tree-sitter to use newer minor version
    of crates tree-sitter tree-sitter-generate;
    tighten build-dependency for crate tree-sitter;
    build-depend on tree-sitter-generate (not tree-sitter-cli)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Oct 2025 14:15:13 +0200

turtlefmt (0.1.2-8) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Sep 2025 10:01:11 +0200

turtlefmt (0.1.2-7) experimental; urgency=medium

  * build-depend on recent rustc

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Sep 2025 16:48:51 +0200

turtlefmt (0.1.2-6) experimental; urgency=medium

  * add patch 1001
    to accept newer minor version of crates oxrdf oxttl;
    bump build-dependencies for crates oxrdf oxttl

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Sep 2025 23:44:46 +0200

turtlefmt (0.1.2-5) unstable; urgency=medium

  * build-depend on libstd-rust-dev
  * drop watch file: use upstream metadata instead
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Aug 2025 23:35:54 +0200

turtlefmt (0.1.2-4) unstable; urgency=medium

  * update patches;
    bump build-dependencies for crates tree-sitter tree-sitter-cli
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Mar 2025 22:25:21 +0100

turtlefmt (0.1.2-3) unstable; urgency=medium

  * update git-buildpackage config: fix usage comment
  * update watch file:
    + mangle upstream version
    + use Github API
  * drop patch 2002_reqwest,
    obsoleted by Debian packaging changes;
    tighten build-dependency for crate reqwest
  * add patch 2003 to use older branch of crate tree-sitter;
    tighten build-dependencies for crates tree-sitter tree-sitter-cli

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Feb 2025 14:43:25 +0100

turtlefmt (0.1.2-2) experimental; urgency=medium

  * declare build-dependencies unconditionally,
    i.e. drop broken nocheck annotations
  * add upstream metadata
  * update git-buildpackage config:
    + mention option --add-upstream-vcs in usage comment
  * update patch 2002_tree_sitter to cover newer branch;
    bump (build-)dependencies for crates tree-sitter tree-sitter-cli

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 24 Jan 2025 23:47:07 +0100

turtlefmt (0.1.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * relax build-dependency for crate reqwest

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 31 Dec 2024 02:35:05 +0100
