=== debian/control ===
--- 
+++ 
@@ -11,14 +11,15 @@
  librust-clap-4+default-dev,
  librust-clap-4+derive-dev,
  librust-jobserver-dev,
- librust-oxrdf-0.2+default-dev <!nocheck>,
- librust-oxttl-0.1+default-dev <!nocheck>,
- librust-reqwest-0.11+blocking-dev <!nocheck>,
- librust-reqwest-0.11+default-dev <!nocheck>,
- librust-tree-sitter-0.20+default-dev,
- librust-tree-sitter-cli-0.20+default-dev,
+ librust-oxrdf-0.3+default-dev,
+ librust-oxttl-0.2+default-dev,
+ librust-reqwest-0.12+blocking-dev,
+ librust-tree-sitter-0.25+default-dev,
+ librust-tree-sitter-generate-0.25+default-dev,
+ libstd-rust-dev,
  nodejs,
-Standards-Version: 4.7.0
+ rustc (>= 1.87),
+Standards-Version: 4.7.2
 Homepage: https://github.com/helsing-ai/turtlefmt
 Vcs-Git: https://salsa.debian.org/debian/turtlefmt.git
 Vcs-Browser: https://salsa.debian.org/debian/turtlefmt
